-- Tilemap 

-- evs - a little experiment 

-- tilemap.lua based on tilemap code by Atilim Çetin 

-- http://www.giderosmobile.com

-- box2d.lua based on physics code by Arturs Sosins and Gideros Mobile collision example

-- http://appcodingeasy.com/Gideros-Mobile/Dragging-Box2d-object-in-Gideros-Mobile

-- debug flag for box2d drawing and objects printout
local debug = false 

-- Swivel
application:setOrientation(Application.LANDSCAPE_LEFT)

-- Load the tilemap and initialise
local tilemap = TiledMap.new("platformer.lua")

-- Get the object layer
local layer = tilemap:getLayer("Objects")

-- Warning if no objects layer
if not layer then print "\nERROR - Layer not found\n" end

-- Background
local bg = Bitmap.new(Texture.new("background.png"))

-- Create main physics scene with debug drawing true or false
local mainScene = Box2d.new(debug)

-- Create the objects from the tilemap objects layer
for i = 1, #layer.objects do

	if debug then  -- Print out objects in layer
	print("-------------------------------------------------------------------------------------------------------------")
	print("Name: ", layer.objects[i].name, "Type: ", layer.objects[i].type, 
			"X: ", layer.objects[i].x, "Y: ", layer.objects[i].y, 
			"Width: ", layer.objects[i].width, "Height: ", layer.objects[i].height,
			"Score: ", tilemap:getProperty(layer.objects[i], "score"))
	print("-------------------------------------------------------------------------------------------------------------")

	end
	
	-- Create each world object from layer - x, y, width, height, name, type, score
	mainScene:object(layer.objects[i].x + layer.objects[i].width/ 2, layer.objects[i].y + layer.objects[i].height/2, 
						layer.objects[i].width, layer.objects[i].height, layer.objects[i].name, layer.objects[i].type,
							tilemap:getProperty(layer.objects[i], "score"))
							
	
end

-- Make Gideros pyramid thingy collideable
mainScene:object(100, 112, 110, 110, "Gideros Pyramid", "logo")

-- Add background at rear
stage:addChild(bg)

-- Add physics objects in front of background
stage:addChild(mainScene)

-- Add tiles
stage:addChild(tilemap)